"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

BranchCommand subclass:#CatCommand
	instanceVariableNames:'path'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private-Commands'
!


!CatCommand methodsFor:'accessing'!

path
    ^ path
!

path:aString
    path := aString.
! !

!CatCommand methodsFor:'executing - private'!

svnCmd
    "raise an error: must be redefined in concrete subclass(es)"

    ^'cat'

    "Created: / 02-04-2008 / 15:53:19 / janfrog"
!

svnCmdArgumentsOn: arg 
    "raise an error: must be redefined in concrete subclass(es)"
    
    arg
        nextPut: '-r';
        nextPut: revision printString;
        nextPut: self url asString , '/' , path

    "Created: / 02-04-2008 / 15:53:47 / janfrog"
    "Modified: / 19-08-2009 / 10:00:23 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnProcessCommandOutput:stdOut err:stdErr 
    ^ stdOut contents

    "Created: / 03-10-2008 / 16:31:45 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CatCommand methodsFor:'initialization'!

initialize

    super initialize.
    revision := SVN::Revision head

    "Created: / 09-10-2008 / 20:35:59 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CatCommand class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__CatCommand.st 110 2009-08-19 13:21:10Z vranyj1 '
! !
